/*General*/

* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
}

:root {
    --bgcolor: #0D1B2A;
    /*main general color*/
    --contrastcolor: #E0E1DD;
    /*font color*/
    --hovercolor: #778DA9;
    /*Selective color*/
    /*Font family in header file*/
}

a {
    color: var(--bgcolor);
}

.footer-company-details a {
    color: var(--contrastcolor);
}


/*Typography and colors*/

footer {
    background: var(--bgcolor);
    color: var(--contrastcolor);
}

.footer-information {
    color: black;
    border-top: 1px solid black;
}


/*Styling*/

.footer-container {
    max-width: 75rem;
    width: 80%;
    margin: 0 auto;
}

.footer-information {
    max-width: 75rem;
    margin: 1em auto 0 auto;
    display: flex;
    justify-content: space-between;
    padding: 1em 0;
}

.footer-map {
    padding: 1.5em 0 0 0;
    /*border: 3px solid red;*/
}

iframe {
    width: 100%;
}

.footer-company-details {
    padding: .5em 0;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    /* border: 1px solid white;*/
}

.footer-company-details-para {
    margin: 0 2em;
    max-width: 15rem;
    text-align: center;
    /*border: 1px solid white;*/
}

.footer-copy-right {
    padding: 1em 0;
    text-align: center;
}

.footer-information-content {
    min-width: 7.5rem;
    /*border: 1px solid red;*/
}


/*Media Querries*/

@media (max-width: 550px) {
    .footer-information,
    .footer-company-details {
        flex-direction: column;
        width: 100%;
        flex-flow: wrap;
        align-items: center;
        justify-content: center;
    }
    .footer-company-details {
        font-size: .75rem;
    }
    .footer-information-content,
    .footer-company-details-para {
        flex-grow: 1;
        text-align: center;
        margin: .3em .85em;
    }
    .footer-information-content,
    .footer-company-details-para {
        margin-top: 0.5em;
    }
    .footer-map {
        width: 100%;
    }
     :root {
        font-size: .9rem;
    }
}